package com.srs.stureg.mapper;

import java.util.List;
import com.srs.stureg.domain.PayMoney;
import com.srs.stureg.domain.SrsRegInfo;

/**
 * 网上缴费情况Mapper接口
 * 
 * @author 邓
 * @date 2023-05-20
 */
public interface PayMoneyMapper 
{
    /**
     * 查询网上缴费情况
     * 
     * @param id 网上缴费情况主键
     * @return 网上缴费情况
     */
    public PayMoney selectPayMoneyById(Long id);

    /**
     * 查询网上缴费情况列表
     * 
     * @param payMoney 网上缴费情况
     * @return 网上缴费情况集合
     */
    public List<PayMoney> selectPayMoneyList(PayMoney payMoney);

    /**
     * 新增网上缴费情况
     * 
     * @param payMoney 网上缴费情况
     * @return 结果
     */
    public int insertPayMoney(PayMoney payMoney);

    /**
     * 修改网上缴费情况
     * 
     * @param payMoney 网上缴费情况
     * @return 结果
     */
    public int updatePayMoney(PayMoney payMoney);

    /**
     * 删除网上缴费情况
     * 
     * @param id 网上缴费情况主键
     * @return 结果
     */
    public int deletePayMoneyById(Long id);

    /**
     * 批量删除网上缴费情况
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deletePayMoneyByIds(Long[] ids);

    /**
     * 批量删除注册信息

     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteSrsRegInfoByRegisterIds(Long[] ids);
    
    /**
     * 批量新增注册信息

     * 
     * @param srsRegInfoList 注册信息
列表
     * @return 结果
     */
    public int batchSrsRegInfo(List<SrsRegInfo> srsRegInfoList);
    

    /**
     * 通过网上缴费情况主键删除注册信息
信息
     * 
     * @param id 网上缴费情况ID
     * @return 结果
     */
    public int deleteSrsRegInfoByRegisterId(Long id);
}
